branch: Repository KnitPackRepository is not compatible with repository KnitRepository

James Henstridge james at
Fri Apr 18 10:23:27 BST 2008

On 18/04/2008, Ben Finney <ben at> wrote:
> Howdy all,
>  My repository woes are increasing.
>  I'm having troubles with another repository, where branches fail
>  saying revision data isn't where it's expected, so I moved it aside to
>  a name indicating my belief it's broken.
>  I then created another, fresh repository and planned to branch each of
>  the existing branches into the fresh one. That, however, fails
>  immediately:

>  bzr> info /home/benf/Projects/
>  Shared repository with trees (format: pack-0.92)
>  bzr> info /home/benf/Projects.BROKEN-REPO/
>  Shared repository with trees (format: dirstate-with-subtree)
>  What on earth do I need to do to get my branches and repositories
>  working again?

Your "Projects.BROKEN-REPO" repository supports subtrees, which can
contain data that can't be represented in a pack-0.92 repository
(whether the revisions in your repository make use of that or not is
another question).

I am not sure what the recommended upgrade path is for this case.
Perhaps one of the other developers will be able to answer.


More information about the bazaar mailing list